/** Terms and Conditions per product
 * Adds a modal to checkout that embeds the terms URL in an iFrame
 * @since 1.2.0
 */

(function ($) {
	'use strict';

	// On load
	$(document).ready(function ($) {

		$(document).on('click touched', '.extra-terms a', function (e){
			e.preventDefault();
			this.blur(); // Manually remove focus from clicked link.

			// Get URL
			let URL = $(this).attr('href').trim();

			// Set up terms modal - Template HTML
			let termsModal = tacppModalObj.modal_html.replace('[TERMS_URL]', URL);
			$('body').append(termsModal);
			$('#product-terms-modal').modal({
				fadeDuration: 300
			});
		});

		// Scrap modal on close
		$(document).on($.modal.BEFORE_CLOSE, '#product-terms-modal', function(event, modal) {
			$('#product-terms-modal').remove();
		});
	});
})
(jQuery);
